Skip to main content
GET
/
dr
/
v1
/
business
/
patients
/
search
Search Patient profiles by mobile number
curl --request GET \
  --url https://api.eka.care/dr/v1/business/patients/search \
  --header 'auth: <auth>'
{
  "data": {
    "profiles": [
      {
        "name": "Amit Kumar",
        "patient_id": "987654321098722",
        "patient_profile": {
          "patient_id": "987654321098722",
          "first_name": "Amit",
          "middle_name": "",
          "last_name": "Kumar",
          "dob": "1990-05-15",
          "gender": "M",
          "mobile": "+919876543210",
          "created_at": "2024-08-13T07:31:53.750Z"
        }
      },
      {
        "name": "Priya Sharma",
        "patient_id": "98765432109222",
        "patient_profile": {
          "patient_id": "987654321098722",
          "first_name": "Priya",
          "middle_name": "",
          "last_name": "Sharma",
          "dob": "1985-09-20",
          "gender": "F",
          "mobile": "+918765432109",
          "created_at": "2023-10-26T06:20:36.758Z"
        }
      },
      {
        "name": "Rahul Gupta",
        "patient_id": "987654321098765",
        "patient_profile": {
          "patient_id": "987654321098765",
          "first_name": "Rahul",
          "middle_name": "",
          "last_name": "Gupta",
          "dob": "1978-11-30",
          "gender": "M",
          "mobile": "+917654321098",
          "created_at": "2024-08-14T09:01:14.806Z"
        }
      }
    ]
  },
  "status_code": 200,
  "success": true
}

Documentation Index

Fetch the complete documentation index at: https://ekacare-mintlify-changelog-1776733918.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Headers

auth
string
required

The auth token of the user. It is used to authenticate the user.

Query Parameters

mobile
string
required
Example:

"<mobile_no>"

Response

OK

data
Data2 · object
required
Example:
{
"patients": [
{
"patient_id": "123456789",
"name": "Test Patient",
"clinic_id": "12345678",
"patient_profile": {
"patient_id": "123456789",
"first_name": "Test",
"middle_name": "",
"last_name": "Patient",
"dob": "1984-11-11",
"email": "ekademo@gmail.com",
"gen": "M",
"mobile": "+919999999999",
"created_at": "2021-03-19T13:15:26.318Z"
}
},
{
"patient_id": "234567890",
"name": "Test PT 2",
"is_recent": false,
"clinic_id": null,
"patient_profile": {
"first_name": "Test",
"middle_name": "PT",
"last_name": "2",
"patient_id": "234567890",
"email": "demo_test@eka.care",
"gen": "M",
"mobile": "+91999999999",
"dob": "1991-11-11",
"created_at": "2021-03-19T13:15:26318Z"
}
}
]
}